import  pygame
import  pygame.draw
from    pygame.locals import *


width  = 400
height = 300
w2     = width/2
h2     = height/2
largest= max(width, height)


def circles( radius, width ):
    print pygame.draw.circle(screen, (255, 255, 255), (100, 100), radius, width)
    pygame.display.flip()

    print pygame.draw.circle(screen, (255, 255, 255), (100, 280), radius, width)
    pygame.display.flip()
    return

def clear():
    pygame.draw.rect(screen,(0,0,0),(0,0,width,height),0)
    pygame.display.flip()
    return
    

pygame.init()
screen = pygame.display.set_mode((width, height),HWSURFACE|DOUBLEBUF)

circles(   0, 0 )
circles(  50, 1 )
circles( 150, 0 )

for y in range(h2+100):
    pygame.draw.line( screen, (0,255,0), (w2,h2-y), (w2,h2+y), 1 )
    pygame.display.flip()

for x in range(w2+100):
    pygame.draw.line( screen, (0,255,128), (w2-x,h2), (w2+x,h2), 1 )
    pygame.display.flip()

for r in range(largest):
    pygame.draw.circle(screen, (128, 0, 255), (w2, h2), r, 0)
    pygame.display.flip()

for r in range(largest,-1,-1):
    retval = pygame.draw.circle(screen, (255, 128, 0), (w2, h2), r, 0)
    pygame.display.flip()
    pygame.draw.rect(screen, (128,0,255), retval, 0)


for r in range(width+100):
    retval = pygame.draw.ellipse(screen, (255, 0, 255), ((width-r)/2, 0, r, height), 0)
    pygame.display.flip()
    pygame.draw.rect(screen, (255,128,0), retval, 0)

for r in range(width+100,-1,-1):
    retval = pygame.draw.ellipse(screen, (255, 255, 0), ((width-r)/2, 0, r, height), 0)
    pygame.display.flip()
    pygame.draw.rect(screen, (255,0,255), retval, 0)

for r in range(height+100):
    retval = pygame.draw.ellipse(screen, (0, 255, 255), (0, (height-r)/2, width, r), 0)
    pygame.display.flip()
    pygame.draw.rect(screen, (255,255,0), retval, 0)

for r in range(height+100,-1,-1):
    retval = pygame.draw.ellipse(screen, (0, 0, 255), (0, (height-r)/2, width, r), 0)
    pygame.display.flip()
    pygame.draw.rect(screen, (0,255,255), retval, 0)


